//
// Assets and source code of SCP Doors Addon are licensed under Creative Commons Attribution-ShareAlike 3.0
//
import { Player, system, world } from "@minecraft/server";
import { setupKeypadSystem } from "./keypad";
import { setupEntityToolSpawner } from "./entityToolSpawner";

export const OVERWORLD = world.getDimension("overworld");
const INIT_TICK = 100;

let currentTick = 0;
let hostPlayer: Player;


export function getCurrentTick() {
  return currentTick;
}

export function getHostPlayer() {
  return hostPlayer;
}


function init() {
  hostPlayer = world.getPlayers()[0];

  setupKeypadSystem();
  setupEntityToolSpawner();

  world.sendMessage('§7Initialized Scripts: SCP Doors Addon');
}

function mainTick() {
  try {
    if (currentTick === INIT_TICK) {
      init();
    }

    if (currentTick >= INIT_TICK) {}

    currentTick++;
  }
  catch (ex) {
    world.sendMessage('§cError in main tick: ' + ex);
  }
}


system.runInterval(mainTick, 1);
